Subject: Re: [JGIT PATCH 0/3] Request for help: graph-based UI

From: "Shawn O. Pearce" <[email-masked]>
Date: Sat, 25 Jul 2009 13:59:36 -0700

Douglas Campos <[email-masked]> wrote:
> Just a question.. all graphic things that we implement in swing aren't
> usable inside eclipse with swt-awt bridge?

They should be usuable inside the SWT-AWT bridge, but that bridge
is really dicey to get working right sometimes.  I had a lot of
trouble with it at my prior day-job and am happy I no longer have
to deal with it.

For the most part, SWT and AWT are similar enough in their rendering
that its possible to build most of a layout algorithm to be rendering
API agnostic, and then permit implementation of AWT and SWT backends.
But that still is duplicated effort, vs. straightforward code reuse.

-- 
Shawn.